## libusb-java 0.8+ztex20090101

=== Makefile ===
# Makefile for libusbJava, a Java libusb wrapper
# Copyright (C) 2009 ZTEX e.K.
# http://www.ztex.de
#
# This Makefile ia a part of the reorganized version of the libusbJava source tree
# with proper makefiles. (SVN version of Apr. 6, 2009).
#
# Please visit http://libusbjava.sourceforge.net for more information about the
# original project.

#########################
# Configuration section #
#########################

# $(JAVAPREFIX)/include should contain jni.h
JAVAPREFIX=/usr/local/java

###############################
# this should not be modified #
###############################
GCC=gcc
STRIP=strip
CHMOD=chmod -x
JAVAC=javac
RM=rm -f
INSTALL=install
INSTALLDIR=$(INSTALL) -d 
INSTALLEXE=$(INSTALL) -m 0755
INSTALLFILE=$(INSTALL) -m 0644
OBJEXTRADEPS=LibusbJava.h
LIBSRCS=LibusbJava.o
LIBSRCS64=LibusbJava.c
JAVASRCS=$(shell echo ch/ntb/usb/*.java) $(shell echo ch/ntb/usb/logger/*.java)

LIBTARGET_SH=libusbJavaSh.so
LIBTARGET_ST=libusbJavaSt.so
LIBTARGET_64=libusbJava64.so
LIBLIBS=-lusb
LIBINCS=-I $(JAVAPREFIX)/include -I $(JAVAPREFIX)/include/linux

.PHONY:	all libs classes install2 clean distclean

all: libs classes

classes: classes.made

libs: $(LIBTARGET_SH) $(LIBTARGET_ST) $(LIBTARGET_64)

%.o: %.c LibusbJava.h
	$(GCC) -fPIC -g -c -std=c99 -Wall -Wno-pointer-to-int-cast $(LIBINCS) $< -o$@

$(LIBTARGET_ST): $(LIBSRCS)
#	$(GCC) -shared -Wl,-static,-soname,$(LIBTARGET_ST) $(LIBINCS) -static $(LIBSRCS) -o $(LIBTARGET_ST) $(LIBLIBS)
	$(GCC) -shared -Wl,-soname,$(LIBTARGET_ST),-static $(LIBINCS) $(LIBSRCS) -static -o $(LIBTARGET_ST) $(LIBLIBS)
	$(STRIP) $(LIBTARGET_ST)
	$(CHMOD) $(LIBTARGET_ST)

$(LIBTARGET_SH): $(LIBSRCS)
	$(GCC) -fPIC -shared -Wl,-soname,$(LIBTARGET_SH) $(LIBINCS) $(LIBSRCS) -o $(LIBTARGET_SH) $(LIBLIBS)
	$(STRIP) $(LIBTARGET_SH)
	$(CHMOD) $(LIBTARGET_SH)

$(LIBTARGET_64): $(LIBSRCS64)
	$(GCC) -fPIC -m64 -shared -std=c99 -Wall -Wno-pointer-to-int-cast -Wl,-soname,$(LIBTARGET_64) $(LIBINCS) $(LIBSRCS64) $(LIBLIBS) -o $(LIBTARGET_64)
	$(STRIP) $(LIBTARGET_64)
	$(CHMOD) $(LIBTARGET_64)

classes.made: $(JAVASRCS)
	$(JAVAC) $(JAVASRCS)
	echo > classes.made

doc:
	javadoc ch.ntb.usb -d ../docs/libusbJava
	
install2: all
	$(INSTALLDIR) ../libusbJava/ch/ntb/usb/logger
	$(INSTALLFILE) $(LIBTARGET_SH) ../libusbJava
	$(INSTALLFILE) $(LIBTARGET_ST) ../libusbJava
	$(INSTALLFILE) $(LIBTARGET_64) ../libusbJava
	$(INSTALLFILE) ch/ntb/usb/*.class ../libusbJava/ch/ntb/usb
	$(INSTALLFILE) ch/ntb/usb/logger/*.class ../libusbJava/ch/ntb/usb/logger

clean:

distclean:
	$(RM) *.o $(LIBTARGET_SH) $(LIBTARGET_ST) $(LIBTARGET_64) libusbJava*.dll ch/ntb/usb/*.class ch/ntb/usb/logger/*.class classes.made

## libusb-java 0.8%2Bztex20090101

=== debian/changelog ===
libusb-java (0.8+ztex20090101-10) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/rules, d/p/java-compat.patch: use java_compat_level variable provided
    by java-common to adjust -source/-target level to the minimum required
    by the default Java (Closes: #1057523).

  [ Helmut Grohne ]
  * Fix FTCBFS: Use cross tools for build. (Closes: #1069921)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.

  [ tony mancill ]
  * Bump Standards-Version to 4.7.0
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 28 Apr 2024 10:27:45 -0700

libusb-java (0.8+ztex20090101-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981961)
  * Removed schlaepfer.patch
  * Track and download the new releases from the upstream SVN repository
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Feb 2021 23:29:30 +0100

libusb-java (0.8+ztex20090101-8) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Removed the libusb-java-dbg package
  * Moved the package to Git
  * Moved the package to the Java Team
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Changed the priority from extra to optional
  * Improved the package description
  * Updated the watch file

  [ Markus Koschany ]
  * Update java-compat.patch and fix FTBFS with Java 9 (Closes: #873992)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Sep 2019 12:41:51 +0200

libusb-java (0.8+ztex20090101-7) unstable; urgency=low

  * Reverting previous change for locating jni.h, let us hope
    it all now just builds for everyone (Closes: #728293),
    many thanks to James Page again.

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Nov 2013 14:48:49 +0100

libusb-java (0.8+ztex20090101-6) unstable; urgency=low

  * The NMU addressed James' report already (Closes: #711843).
  * Bumping policy compliance to 3.9.4.
  * Transcribed umlaut in source tree (patch) to help encoding issue,
    despite it technically already been addressed by Gregor.

 -- Steffen Moeller <moeller@debian.org>  Tue, 08 Oct 2013 18:58:50 +0200

libusb-java (0.8+ztex20090101-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to use default java implementation + java 7
    compatibility": apply patch from Ubuntu / James Page
    (after adjusting it to apply against -5):

    Transition package to use default java implementation:
    - d/control: BD on default-jdk (>= 1:1.6).
    - d/rules: Specify source = 1.5 during javadoc generation.
    - d/patches/java-compat.patch: Specify source/target = 1.5 to ensure
      that bytecode is backwards compatible and avoid Java 7 errors.

    Additionally add -encoding to d/rules and d/patches/java-compat.patch

    (Closes: #684154)

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 May 2013 18:41:11 +0200

libusb-java (0.8+ztex20090101-5) unstable; urgency=low

  * Fix of FTBFS stimulated by patch from Konstantinos Margaritis
   (Closes: #641152)
  * Solved mysterious issue with sharedLibrary patch
  * Policy compliance declared against 3.9.3
    - Added reference to Vcs in debian/control

 -- Steffen Moeller <moeller@debian.org>  Fri, 14 Sep 2012 22:55:53 +0200

libusb-java (0.8+ztex20090101-4) unstable; urgency=low

  * Added javadoc
  * Removed .java files from .jar
  * Separated architecture-dependent files
  * Eliminated lintian warning on jre dependency.
  * Removed special notion of 64bit with Debian

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Sep 2011 13:49:37 +0200

libusb-java (0.8+ztex20090101-3) unstable; urgency=low

  * Added creation of jar file

 -- Steffen Moeller <moeller@debian.org>  Mon, 05 Sep 2011 23:20:13 +0200

libusb-java (0.8+ztex20090101-2) unstable; urgency=low

  * Addressing those embarrasing build failures (Closes: #637762).

 -- Steffen Moeller <moeller@debian.org>  Fri, 05 Aug 2011 17:35:50 +0200

libusb-java (0.8+ztex20090101-1) unstable; urgency=low

  * Initial release (Closes: #635661)

 -- Steffen Moeller <moeller@debian.org>  Thu, 28 Jul 2011 01:14:47 +0200

=== debian/control ===
Source: libusb-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libusb-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/libusb-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libusb-java
Homepage: http://libusbjava.sf.net
Rules-Requires-Root: no

Package: libusb-java-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libusb-java (<= 0.8+ztex20090101-3)
Description: Java wrapper for libusb (native library)
 This Java library wraps the C library libusb (0.1). It is designed to
 support user level applications to access USB devices regardless of
 the operating system.
 .
 This package provides the architecture-dependent component of
 libusb-java.

Package: libusb-java
Architecture: all
Depends: ${misc:Depends}, libusb-java-lib
Description: Java wrapper for libusb
 This Java library wraps the C library libusb (0.1). It is designed to
 support user level applications to access USB devices regardless of
 the operating system.

Package: libusb-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libusb-java
Multi-Arch: foreign
Description: Java wrapper for libusb (documentation)
 This Java library wraps the C library libusb (0.1). It is designed to
 support user level applications to access USB devices regardless of
 the operating system.
 .
 The libusb source code provides its own documentation. It
 is transformed to HTML by the javadoc tool.

## libusb-java 0.8+ztex20090101

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  default-jdk,
  libusb-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/libusb-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libusb-java
 Homepage: http://libusbjava.sf.net
-Rules-Requires-Root: no
 
 Package: libusb-java-lib
 Architecture: any
@@ -38,7 +37,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libusb-java
-Multi-Arch: foreign
 Description: Java wrapper for libusb (documentation)
  This Java library wraps the C library libusb (0.1). It is designed to
  support user level applications to access USB devices regardless of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
P=$(shell dirname `find /usr/lib/jvm/ -name jni.h | head -n 1` )

export CFLAGS=-I$(P)

%:
	dh $@ 

test:
	echo "P=$(P)"

DOCPATH=doc/html
override_dh_auto_build-arch:
	$(MAKE) STRIP="# not stripping: " libs
	touch build-arch-stamp

override_dh_auto_build-indep:
	$(MAKE) STRIP="# not stripping: " classes
	jar cf libusb.jar `find ch -name "*.class"`
	[ -d $(DOCPATH) ] || mkdir -p $(DOCPATH)
	javadoc -source 1.7 -encoding ISO-8859-1 -classpath . -d $(DOCPATH) ch.ntb.usb
	touch build-indep-stamp

LIBPACKAGE=libusb-java-lib
# /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libusb.a(usb.o): relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
override_dh_auto_install-arch:
	dh_install
	[ -d $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/ ] || mkdir -p $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/
	cp libusbJavaSh.so $(CURDIR)/debian/$(LIBPACKAGE)/usr/lib/libusbJava.so.0.8

override_dh_auto_install-indep:
	cp libusb.jar $(CURDIR)/debian/libusb-java/usr/share/java/

override_dh_clean:
	dh_clean
	[ ! -r Makefile ] || make clean
	rm -f lib*.so.* libusb.jar
	rm -rf doc
	rm -f build-indep-stamp
	rm -f build-arch-stamp build-indep-stamp

.PHONY: build-arch-stamp build-indep-stamp

=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/_/./" \
http://sf.net/libusbjava/LibusbJava-(.*)_64bit\.tar\.(?:gz|bz2)
